MR-E-2 SDK

Public Member Functions | List of all members
MrE2ModuleSdk.Device.ILinearOutput Interface Reference
Inheritance diagram for MrE2ModuleSdk.Device.ILinearOutput:

## Public Member Functions
float | ReadCurrentLimit (EAxis axis)
| Returns limit in amperes where the output clamps. More...
void | WriteCurrentLimit (EAxis axis, float value)
| Sets limit in amperes where the output clamps. More...
int | ReadChannelNumber (EAxis axis)
| Returns channel number. More...
float | ReadActualCurrent (EAxis axis)
| Returns current current output in amperes for axis. More...
float | ReadAverageLimitPeriod (EAxis axis)
| Returns number of seconds to average current. More...
void | WriteAverageLimitPeriod (EAxis axis, float value)
| Sets number of seconds to average current. More...
float | ReadAverageLimitSum (EAxis axis)
| Returns maximum allowed average current in amperes. More...
void | WriteAverageLimitSum (EAxis axis, float value)
| Sets maximum allowed average current in amperes. More...
float | ReadCooldownPeriod (EAxis axis)
| Returns length of cool-down period in seconds. More...
void | WriteCooldownPeriod (EAxis axis, float value)
| Sets length of cool-down period in seconds. More...

## Member Function Documentation

## ◆ ReadActualCurrent()

float MrE2ModuleSdk.Device.ILinearOutput.ReadActualCurrent | ( | EAxis | axis | ) |

Returns current current output in amperes for axis.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ ReadAverageLimitPeriod()

float MrE2ModuleSdk.Device.ILinearOutput.ReadAverageLimitPeriod | ( | EAxis | axis | ) |

Returns number of seconds to average current.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ ReadAverageLimitSum()

float MrE2ModuleSdk.Device.ILinearOutput.ReadAverageLimitSum | ( | EAxis | axis | ) |

Returns maximum allowed average current in amperes.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ ReadChannelNumber()

int MrE2ModuleSdk.Device.ILinearOutput.ReadChannelNumber | ( | EAxis | axis | ) |

Returns channel number.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ ReadCooldownPeriod()

float MrE2ModuleSdk.Device.ILinearOutput.ReadCooldownPeriod | ( | EAxis | axis | ) |

Returns length of cool-down period in seconds.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ ReadCurrentLimit()

float MrE2ModuleSdk.Device.ILinearOutput.ReadCurrentLimit | ( | EAxis | axis | ) |

Returns limit in amperes where the output clamps.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ WriteAverageLimitPeriod()

void MrE2ModuleSdk.Device.ILinearOutput.WriteAverageLimitPeriod | ( | EAxis | axis,
|  | float | value
| ) |  |

Sets number of seconds to average current.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ WriteAverageLimitSum()

void MrE2ModuleSdk.Device.ILinearOutput.WriteAverageLimitSum | ( | EAxis | axis,
|  | float | value
| ) |  |

Sets maximum allowed average current in amperes.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ WriteCooldownPeriod()

void MrE2ModuleSdk.Device.ILinearOutput.WriteCooldownPeriod | ( | EAxis | axis,
|  | float | value
| ) |  |

Sets length of cool-down period in seconds.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ WriteCurrentLimit()

void MrE2ModuleSdk.Device.ILinearOutput.WriteCurrentLimit | ( | EAxis | axis,
|  | float | value
| ) |  |

Sets limit in amperes where the output clamps.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

The documentation for this interface was generated from the following file:

- Device/MrE2SdkComDeviceController.cs